Subject: FVWM: Re: FvwmButtons app launcher

From: Dominik Vogt <[email-masked]>
Date: Wed, 12 Apr 2000 13:36:04 +0200

On Wed, Apr 12, 2000 at 11:30:45AM +0200, Jos wrote:
> Dominik Vogt wrote:
> > 
> 
> > > Thanks.  I still think its silly to launch an app from an icon,
> > > but what can you do...
> > 
> > Me too.  These icons are always buried below a window when I
> > have to click them :-(
> > 
> >
> 
> Don't know exactly what the discussion is about, just picked up
> these lines and a comment came to mind.
> 
> I'd like an app-launcher with icons for applications that are
> used often, like a mail program, or an xterm. But the app-launcher
> should then not take up too much space, it should for instance
> be a narrow slit at the bottom of the screen (like the icon manager
> in the blackbox theme). 
> 
> And secondly, windows should not be permitted to move over the 
> app-launcher. This would maybe be a nice feature for fvwm, to 
> be able to set off-limits regions in the screen....

This can easily be implemented using FvwmButtons and the
'StaysOnTop' style.  Just define a small button bar with
the icons you need and use

  Style FvwmButtons Sticky, StaysOnTop

Bye

Dominik ^_^

-- 
Dominik Vogt, Agilent Technologies, Dept. BVS
Herrenberger Str.130, 71034 Boeblingen, Germany
phone: 07031/464-4596, fax: 07031/464-3883, [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].